unit FormMainParams;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, FormTemplate, DB, IBCustomDataSet, IBTable, Grids, DBGrids,
  StdCtrls, Buttons, ExtCtrls, IBQuery, ComCtrls;

type
  TfmMainParams = class(TfmTemplate)
    tblParams: TIBTable;
    tblParamsMU_NAME: TIBStringField;
    dsParams: TDataSource;
    gbx1: TGroupBox;
    grParams: TDBGrid;
    tblParamsPARAM_ID: TIntegerField;
    tblParamsMU_REF_ID: TIntegerField;
    Splitter1: TSplitter;
    qrMU: TIBQuery;
    dsMU: TDataSource;
    gbx2: TGroupBox;
    pcRef: TPageControl;
    tsRefMU: TTabSheet;
    grMU: TDBGrid;
    pnl1: TPanel;
    btn1: TBitBtn;
    pnl2: TPanel;
    btnClose: TBitBtn;
    procedure pcRefGetImageIndex(Sender: TObject; TabIndex: Integer;
      var ImageIndex: Integer);
    procedure FormCreate(Sender: TObject);
    procedure btn1Click(Sender: TObject);
    procedure grParamsColEnter(Sender: TObject);
    procedure btn2Click(Sender: TObject);
    procedure grParamsCellClick(Column: TColumn);
    procedure grParamsKeyDown(Sender: TObject; var Key: Word;
      Shift: TShiftState);
  private
    cl: TColumn;
  public
    { Public declarations }
  end;

var
  fmMainParams: TfmMainParams;

implementation

uses FormMain;

{$R *.dfm}

procedure TfmMainParams.pcRefGetImageIndex(Sender: TObject;
  TabIndex: Integer; var ImageIndex: Integer);
begin
  inherited;
  //  !
end;

procedure TfmMainParams.FormCreate(Sender: TObject);
begin
  inherited;
  qrMU.Open;
  tblParams.Open;
end;

procedure TfmMainParams.btn1Click(Sender: TObject);
begin
  inherited;
  if qrMU.IsEmpty then Exit;
  tblParams.Edit;
  tblParams.FieldByName('mu_name').AsString := qrMU.FieldByName('MU').AsString;
  tblParams.FieldByName('mu_ref_id').AsInteger := qrMU.FieldByName('hspgid').AsInteger;
  tblParams.Post;
end;

procedure TfmMainParams.grParamsColEnter(Sender: TObject);
begin
  inherited;
  cl := TColumn(Sender);
  if cl.FieldName = 'MU_NAME' then
  begin
    tsRefMU.Visible := True;
    pcRef.ActivePageIndex := 0;
  end;
end;

procedure TfmMainParams.btn2Click(Sender: TObject);
begin
  inherited;
  if not Assigned(cl) then Exit;
end;

procedure TfmMainParams.grParamsCellClick(Column: TColumn);
begin
  inherited;
  cl := Column;
end;

procedure TfmMainParams.grParamsKeyDown(Sender: TObject; var Key: Word;
  Shift: TShiftState);
begin
  inherited;
  if Key = VK_RETURN then
    if tblParams.State = dsEdit then tblParams.Post;
end;

end.
