unit Report10Params;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ReportParams, StdCtrls, Buttons, ExtCtrls, ComCtrls;

type
  TfmReport10Params = class(TfmReportParams)
    gbParams: TRadioGroup;
    gbPeriod: TGroupBox;
    pnl1: TPanel;
    btn1: TBitBtn;
    btn2: TBitBtn;
    lbl1: TLabel;
    Date1: TDateTimePicker;
    lbl2: TLabel;
    Date2: TDateTimePicker;
    procedure gbParamsClick(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  fmReport10Params: TfmReport10Params;

implementation

{$R *.dfm}

procedure TfmReport10Params.gbParamsClick(Sender: TObject);
begin
  inherited;
  gbPeriod.Visible := gbParams.ItemIndex = 4;
end;

procedure TfmReport10Params.FormShow(Sender: TObject);
begin
  inherited;
  AutoSize := False;
  AutoSize := True;
end;

procedure TfmReport10Params.FormCreate(Sender: TObject);
begin
  inherited;
  gbParams.ItemIndex := ini.ReadInteger('Report10Params', 'PeriodIndex', 3);
  Date1.Date := ini.ReadDate('Report10Params', 'PeriodStart', Now);
  Date2.Date := ini.ReadDate('Report10Params', 'PeriodStop', Now);
end;

procedure TfmReport10Params.FormClose(Sender: TObject;
  var Action: TCloseAction);
begin
  inherited;
  ini.WriteInteger('Report10Params', 'PeriodIndex', gbParams.ItemIndex);
  ini.WriteDate('Report10Params', 'PeriodStart', Date1.Date);
  ini.WriteDate('Report10Params', 'PeriodStop', Date2.Date);
end;

end.
