unit SetReportsParam;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ReportParams, DB, IBCustomDataSet, IBQuery, StdCtrls, DBCtrls,
  ComCtrls, Buttons;

type
  TfmSetReportParam = class(TfmReportParams)
    lbl1: TLabel;
    edPeriodStart: TDateTimePicker;
    lbl2: TLabel;
    edPeriodEnd: TDateTimePicker;
    lbl3: TLabel;
    DBLookupComboBox1: TDBLookupComboBox;
    chbHospitalAll: TCheckBox;
    qrHospitals: TIBQuery;
    dsHospitals: TDataSource;
    lbl4: TLabel;
    DBLookupComboBox2: TDBLookupComboBox;
    qrCity: TIBQuery;
    dsCity: TDataSource;
    chbCityAll: TCheckBox;
    lbl5: TLabel;
    chbUchastokAll: TCheckBox;
    edUchastokBegin: TEdit;
    edUchastokEnd: TEdit;
    lbl6: TLabel;
    lbl7: TLabel;
    chbVozrastAll: TCheckBox;
    edVozrastBegin: TEdit;
    edVozrastEnd: TEdit;
    lbl8: TLabel;
    lbl9: TLabel;
    rbSexMale: TRadioButton;
    rbSexFemale: TRadioButton;
    chbSexAll: TCheckBox;
    btn1: TBitBtn;
    btn2: TBitBtn;
    procedure FormCreate(Sender: TObject);
    procedure qrHospitalsAfterScroll(DataSet: TDataSet);
    procedure chbHospitalAllClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  fmSetReportParam: TfmSetReportParam;

implementation

uses FormMain;

{$R *.dfm}

procedure TfmSetReportParam.FormCreate(Sender: TObject);
begin
  inherited;
  qrHospitals.Open;
  qrHospitals.FetchAll;
end;

procedure TfmSetReportParam.qrHospitalsAfterScroll(DataSet: TDataSet);
begin
  inherited;
  qrCity.Close;
  if chbHospitalAll.Checked then
  begin
    qrCity.Params[1].AsInteger := -1;
  end
  else qrCity.Params[0].AsInteger := qrHospitals.Fields[0].AsInteger;
  qrCity.Open;
  qrCity.FetchAll;
end;

procedure TfmSetReportParam.chbHospitalAllClick(Sender: TObject);
begin
  inherited;
  qrHospitalsAfterScroll(nil);
end;

end.
